Draft Join: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updated Scripting: removed the join_two_wires info. Documenting this sub does not make sense.)
Line 63: Line 63:


* {{incode|wires}} is a list of wire objects to be joined.
* {{incode|wires}} is a list of wire objects to be joined.

{{incode|join_wires}} calls the {{incode|join_two_wires}} method ({{Version|0.19}}). This method replaces the deprecated {{incode|joinTwoWires}} method. This method returns {{incode|True}} or {{incode|False}}.

</translate>
{{Code|code=
join_two_wires(wire1, wire2)
}}
<translate>

* {{incode|wire1}} is the first wire object to be joined.
* {{incode|wire2}} is the second wire object to be joined.


Example:
Example:
Line 93: Line 82:
wire3 = Draft.make_wire([p3, p4])
wire3 = Draft.make_wire([p3, p4])
wire4 = Draft.make_wire([p4, p1])
wire4 = Draft.make_wire([p4, p1])

p5 = App.Vector(100, 100, 0)
p6 = App.Vector(600, 100, 0)
p7 = App.Vector(600, 600, 0)

wire5 = Draft.make_wire([p5, p6])
wire6 = Draft.make_wire([p7, p6])


Draft.join_wires([wire1, wire3, wire2, wire4])
Draft.join_wires([wire1, wire3, wire2, wire4])
Draft.join_two_wires(wire5, wire6)

doc.recompute()
doc.recompute()
}}
}}

Revision as of 18:31, 24 May 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft Join

Menu location
Modification → Join
Workbenches
Draft, Arch
Default shortcut
J O
Introduced in version
0.18
See also
Draft Split

Description

The Draft Join tool attempts to join all selected Draft Lines and Draft Wires into a single wire.

Usage

  1. Select two or more lines or wires that you wish to join together.
  2. Press the Draft Join button or press J then O keys.

If the open end of a wire in your selection coincides with the open end of another wire in your selection, they will be joined into a single wire. The properties of the first wire in your selection will remain and the rest of the objects will be deleted.

Options

There are no options for this tool. Either it works with the selected objects or not.

Notes

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To join wires use the join_wires method (introduced in version 0.19) of the Draft module. This methods replaces the deprecated joinWires method. This method returns None.

join_wires(wires)
  • wires is a list of wire objects to be joined.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(500, 0, 0)
p3 = App.Vector(500, 500, 0)
p4 = App.Vector(0, 500, 0)

wire1 = Draft.make_wire([p1, p2])
wire2 = Draft.make_wire([p2, p3])
wire3 = Draft.make_wire([p3, p4])
wire4 = Draft.make_wire([p4, p1])

Draft.join_wires([wire1, wire3, wire2, wire4])
doc.recompute()